#define LCD_CFG		(*(volatile unsigned long *)0xE01FC1B8)
#define LCD_TIMH	(*(volatile unsigned long *)0xFFE10000)
#define LCD_TIMV	(*(volatile unsigned long *)0xFFE10004)
#define LCD_POL		(*(volatile unsigned long *)0xFFE10008)
#define LCD_UPBASE	(*(volatile unsigned long *)0xFFE10010)
#define LCD_LPBASE	(*(volatile unsigned long *)0xFFE10014)
#define LCD_CTRL	(*(volatile unsigned long *)0xFFE10018)
#define CRSR_CTRL	(*(volatile unsigned long *)0xFFE10C00)

#define y_size	600
#define x_size	800

unsigned int FRAMEBUFFER[y_size][x_size];

void TFT_init();
void lcd_char(int x, int y, char c);
void lcd_str(int x, int y, char *str);
void lcd_int(int x, int y, int data);
void lcd_pset(int x,int y, int color);
